본문으로 건너뛰기

항공

Fare rules and conditions of an offer.

get/v1/flights/offers/{offerId}/fare-rules

  • 인증 필요

파라미터

이름위치유형설명
offerId*경로string

응답

200OKFareRulesResponse

  • offerIdstring
  • Rule[]
    • categorystringnull 허용
    • textstringnull 허용

코드 예제

게이트웨이가 검증하는 방식 그대로 요청에 서명하는 완전한 프로그램입니다. YOUR_KEY_ID와 YOUR_SECRET을 바꿔 넣으세요.

# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'GET\n/v1/flights/offers/fo_7Gk2Qp9LcKM5aGqrMQOIzJko/fare-rules\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')

curl -X GET "https://api.dubaitrip.com/v1/flights/offers/fo_7Gk2Qp9LcKM5aGqrMQOIzJko/fare-rules" \
  -H "X-API-Key: $KEY_ID" \
  -H "X-Timestamp: $TS" \
  -H "X-Nonce: $NONCE" \
  -H "X-Signature: $SIG" \
  -H "Accept: application/json"